=== downstream/debian/changelog ===
ucspi-tools (1.1-1) unstable; urgency=low

  * Initial release

 -- Jan Klemkow <j.klemkow@wemelug.de>  Tue, 14 Jan 2015 11:46:51 -0600
