=== downstream/debian/rules ===
#!/usr/bin/make -f
export PREFIX=/usr
%:
	dh $@
